%define origname gift-gnutella

Name: gift-plugin-gnutella
Version: 0.0.10.0
Release: alt0.M24.1
License: GPL
Group: Networking/File transfer
Url: http://gift.sourceforge.net/
Source0: %origname-0.0.10.tar.bz2
Summary: Gnutella plugin for giFT
Summary(ru_RU.KOI8-R):   gift   Gnutella
Requires: giftd >= 0.11.4-alt4
Obsoletes: %origname

# Automatically added by buildreq on Mon Jan 05 2004
BuildRequires: gcc-c++, glib2, libgift-devel >= 0.11.4-alt4, libgiftproto-devel >= 0.11.4-alt4, libstdc++-devel, pkgconfig, zlib-devel

%description
Use this package to connect to Gnutella networks using giFT

%description -l ru_RU.KOI8-R
         Gnutella  giFT

%prep
%setup -q -n %origname-0.0.10

%build
./configure --prefix=%prefix
make

%install
make "DESTDIR=$RPM_BUILD_ROOT" install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/*
%_datadir/*

%changelog
* Sun May 15 2005 Vasya Borisov <vasy@altlinux.ru> 0.0.10.0-alt0.M24.1
- Backport to Master 2.4

* Wed Feb 02 2005 Vasya Borisov <vasy@altlinux.ru> 0.0.10.0-alt1
- New version 0.0.10.0:
  - Disconnect idle nodes that don't reply to pings.
  - Support Vendor Messages.
  - Support ConnectBack vendor message for better firewalled status detection.
  - Slightly improved the random number seed.
  - Send an empty error page when the remote side supports queueing.
  - All searches now timeout after at most 10 minutes.
  - Only use the full http:// URL in GWebcache requests when using a proxy(see RFC 2616 (HTTP/1.1) for further information).
  - Support outgoing compression of message streams.
  - Drop "urn:" trailer from queries sent.
  - Send full filename in PUSH uploads; seems LimeWire requires it.
  - Support p->share_hide/show for hiding shares from other nodes with a HopsFlow message, allowing them to be efficiently un/re-shared.
  - Basic support for sending GGEP blocks.
  - Change "really-old" auto-deactivation to silent failure to avoid creating surprises for people who don't care.
  - Support push proxies:  put a GGEP block containing the IP address of some servers we're connected to in order to improve upload performance of firewalled nodes.
  - Ban webcaches that resolve to local IP addresses.
- Group changed to Networking/File transfer

* Mon Sep 27 2004 Vasya Borisov <vasy@altlinux.ru> 0.0.10.0-alt0.rc1
- New version 0.0.10.0-rc1
- fix #5237
* Thu May 20 2004 Vasya Borisov <vasy@altlinux.ru> 0.0.9.2-alt2
- rename to gift-plugin-gnutella
- some spec clean
* Mon Feb 09 2004 Vasya Borisov <vasy@altlinux.ru> 0.0.9.2-alt1
- New version 0.0.9.2:
  - Fix FILE* leak in file_cache.c that has been around for a while
    but was made worse by syncing the nodes files periodically.
  - Don't potentially poll the CPU when the remote side closes the zlib
    stream with Z_FINISH.
* Mon Jan 05 2004 Vasya Borisov <vasy@altlinux.ru>  0.0.9.1-alt1
- New version 0.0.9.1:
    - Fix compile problem with 0.0.8 on big-endian platforms.
    - Deactivate the plugin if it's more than one year old.
    - Close all searches when plugin is unloaded.
* Fri Dec 05 2003 Vasya Borisov <vasy@altlinux.ru>  0.0.7-alt3
- Rebuild with new libgift
* Mon Dec 01 2003 Vasya Borisov <vasy@altlinux.ru>  0.0.7-alt2
- Rebuild with new libgift
* Wed Oct 08 2003 Vasya Borisov <vasy@altlinux.ru> 0.0.7-alt1
- Initial release for Sisyphus
